package com.css.simulation.resource.scheduler.controller;

import api.common.pojo.dto.ProjectMessageDTO;
import api.common.util.JsonUtil;
import com.css.simulation.resource.scheduler.consumer.ManualProjectConsumer;
import io.kubernetes.client.openapi.ApiException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@RequestMapping("/test")
@RestController
public class TestConsumerController {

    @Autowired
    ManualProjectConsumer manualProjectConsumer;

    @PostMapping("/consumer")
    public void hello(@RequestBody ProjectMessageDTO projectMessageDTO) throws IOException, ApiException {

        manualProjectConsumer.testParseProject(JsonUtil.beanToJson(projectMessageDTO));
    }
}
